ghc-7.10.2: The GHC API

Safe Haskell | None
Language | Haskell2010

RegAlloc.Linear.X86.FreeRegs

Description

Free regs map for i386

# Documentation

newtype FreeRegs Source

Constructors

FreeRegs Word32 |

Instances

Show FreeRegs |
FR FreeRegs |

noFreeRegs :: FreeRegs Source

releaseReg :: RealReg -> FreeRegs -> FreeRegs Source

initFreeRegs :: Platform -> FreeRegs Source

getFreeRegs :: Platform -> RegClass -> FreeRegs -> [RealReg] Source

allocateReg :: RealReg -> FreeRegs -> FreeRegs Source